<?php

/**
 * X-Cart
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the software license agreement
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * http://next.x-cart.com/software-license-agreement.html
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to licensing@x-cart.com so we can send you a copy immediately.
 *
 * DISCLAIMER
 *
 * Do not modify this file if you wish to upgrade X-Cart to newer versions
 * in the future. If you wish to customize X-Cart for your needs please
 * refer to http://www.x-cart.com/ for more information.
 *
 * PHP version 5.3.0
 *
 * @category  X-Cart Next
 * @author    Mark Novick <mark@novickdesign.com>
 * @copyright Copyright (c) 2014 Novick Design. All rights reserved
 * @license   http://next.x-cart.com/software-license-agreement.html X-Cart Next License Agreement
 * @link      http://www.novickdesign.com
*/

namespace XLite\Module\Alinc\CustomTabs;
/**
 * Create Custom Tabs
 *
 */
abstract class Main extends \XLite\Module\AModule
{
    /**
     * Author name
     *
     * @return string
     */
    public static function getAuthorName()
    {
        return 'Mark Novick';
    }

    /**
     * Module name
     *
     * @return string
     */
    public static function getModuleName()
    {
        return 'Alinc CustomTabs';
    }


        /**
    * Get module major version
    *
    * @return string
    */
    public static function getMajorVersion()
    {
    return '5.0';
    }

    /**
    * Module version
    *
    * @return string
    */
    public static function getMinorVersion()
    {
    return 0;
    }

	/**
     * Return link to the module author page
     *
     * @return string
     */
    public static function getAuthorPageURL()
    {
        return 'www.novickdesign.com';
    }


    /**
     * No settings for this module
     *
     * @return boolean
     */
    public static function showSettingsForm()
    {
        return false;
    }

    /**
     * Module description
     *
     * @return string
     */
    public static function getDescription()
    {
        return 'Alinc Custom Tabs';

    }
  
    /**
     * Decorator run this method at the end of cache rebuild
     *
     * @return void
     */
    public static function runBuildCacheHandler()
    {
        parent::runBuildCacheHandler();
        \XLite\Core\Layout::getInstance()->removeClassFromList(
             'XLite\Module\XC\Upselling\View\ItemsList\UpsellingProducts',
             'center.bottom',
             \XLite\Model\ViewList::INTERFACE_CUSTOMER
        );
         
        \XLite\Core\Layout::getInstance()->addClassToList(
             'XLite\Module\XC\Upselling\View\ItemsList\UpsellingProducts',
             'product.details.page.tab.related_products',
             array(
                 'zone'   => \XLite\Model\ViewList::INTERFACE_CUSTOMER,
                 'weight' => 200,
             )
        );
        
    }

}

