<?php

namespace XLite\Module\Alinc\CustomTabs\View\Product\Details\Customer\Page;

abstract class APage extends \XLite\View\Product\Details\Customer\Page\APage implements \XLite\Base\IDecorator
{
    /**
     * Define tabs
     *
     * @return array
     */

    protected function defineTabs()
    {
        $list = parent::defineTabs();

        $widgets = $this->getAttributesWidgets(); 

        foreach ($widgets as $widget) {

            foreach ($widget->getAttrList() as $attribute) {

                $attributesToDisplay = array ('EXTENDED_SPECIFICATIONS'); 
                if (in_array(strtoupper($attribute['name']), $attributesToDisplay)) { 
                    $list['Extended Specifications'] = array(
                        'list' => 'product.details.page.tab.extended_spec',
                        );
                }
                $attributesToDisplay = array ('WHERE_USED');
                if (in_array(strtoupper($attribute['name']), $attributesToDisplay)) { 
                    $list['Where Used'] = array(
                        'list' => 'product.details.page.tab.where_used',
                        );
                }
            }
        }

        return $list;
    }

    protected function getExtendedSpecAttributes() 
    { 
        $attributesToDisplay = array ('EXTENDED_SPECIFICATIONS'); 

        $return = array(); 

        $widgets = $this->getAttributesWidgets(); 

        foreach ($widgets as $widget) { 

            foreach ($widget->getAttrList() as $attribute) { 

                if (in_array(strtoupper($attribute['name']), $attributesToDisplay)) { 

                    $return[] = $attribute;
                    

                } 

            } 

        } 

        return $return; 
    }  

    protected function getWhereUsedAttributes() 
    { 
        $attributesToDisplay = array ('WHERE_USED'); 

        $return = array(); 

        $widgets = $this->getAttributesWidgets(); 

        foreach ($widgets as $widget) { 

            foreach ($widget->getAttrList() as $attribute) { 

                if (in_array(strtoupper($attribute['name']), $attributesToDisplay)) { 

                    $return[] = $attribute; 

                } 

            } 

        } 

        return $return; 
    }  

    protected function getAttributesWidgets() 
    { 
        $widgets = parent::getAttributesWidgets(); 

        foreach ($widgets as $widget) {  

            foreach ($widget->getAttrList() as $attribute) {  
                // defining what should be left in the $attributeWidgets 
                // storing result in $result var 
            } 
        } 

        $this->attributesWidgets = $result; 

        return $this->attributesWidgets; 
    }

}